Subject: Re: [PATCH] net: skbuff: use _RET_IP_

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 31 May 2013 21:51:34 +0400

Hello.

On 05/31/2013 08:54 PM, Joe Perches wrote:

>>> Don't use a standalone gcc compiled program to
>>> determine what the kernel outputs.
> []
>>> The kernel output is;
>>> 	printk("0x%lx\n", 0x100ul)		0x100
>>> 	printk("%p\n", (void *)0x100ul)		00000100
>>> 	printk("%#p\n", (void *)0x100ul)	0x00000100
>>> The last one isn't used at all in kernel source. (gcc complains)
>>> It's always "0x%p"
>>       I was talking about using "%#lx", not "%#p". I don't see it in your
>> example.
> "0x%lx" and "%#lx" produce the same output in the kernel.
>
> The latter isn't used very often though.

    It's already used in the same format string in this case. That's why 
I suggested
not to deviate from the existing code.

WBR, Sergei